: Class Text

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwalsh.saxon
Class Text

    java.lang.Object
      |
      +--com.icl.saxon.tree.NodeImpl
            |
            +--com.icl.saxon.tree.ParentNodeImpl
                  |
                  +--com.icl.saxon.tree.ElementImpl
                        |
                        +--com.icl.saxon.tree.ElementWithAttributes
                              |
                              +--com.icl.saxon.style.StyleElement
                                    |
                                    +--com.nwalsh.saxon.Text

public class Text
extends com.icl.saxon.style.StyleElement

Saxon extension element for inserting text

$Id: Text.java,v 1.5 2000/11/28 22:31:44 ndw Exp $

Copyright (C) 2000 Norman Walsh.

This class provides a Saxon extension element for inserting text into a result tree.

Change Log:

1.0

  Initial release.

Constructor Summary
`Text()` Constructor for Text

Method Summary
`void` | `prepareAttributes()` Validate the arguments
`void` | `process(com.icl.saxon.Context context)` Insert the text of the file into the result tree
`void` | `validate()` Validate that the element occurs in a reasonable place.

Methods inherited from class com.icl.saxon.style.StyleElement
`allowAttributes, bindVariable, checkEmpty, checkNotTopLevel, checkTopLevel, checkWithinTemplate, expandChildren, forwardsCompatibleModeIsEnabled, getPrecedence, getStyleSheetFunction, getVariableBinding, getVariableNames, getVersion, isExcludedNamespace, isExtensionNamespace, isInstruction, isTopLevel, preprocess, processAllAttributes, processAttributes, processChildren, reportAbsence, requiresXSLprefix, substituteFor, validateSubtree`

Methods inherited from class com.icl.saxon.tree.ElementWithAttributes
`addNamespaceNodes, copy, getAttribute, getAttributeList, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributeValue, getAttributeValue, getLength, getNamedItem, getNamedItemNS, getPrefixForURI, getURIforPrefix, hasAttribute, hasAttributeNS, hasAttributes, initialise, item, makeAttributeNode, outputNamespaceNodes, removeAttribute, removeAttributeNode, removeAttributeNS, removeNamedItem, removeNamedItemNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNamedItem, setNamedItemNS, setNamespaceDeclarations`

Methods inherited from class com.icl.saxon.tree.ElementImpl
`getElementsByTagName, getElementsByTagNameNS, getExpandedName, getInheritedAttribute, getLineNumber, getNodeType, getNodeValue, getPath, getPrefix, getSystemId, getTagName, getURI, isFirstChild, isFirstInGroup, isLastChild, isLastInGroup, makeName, makePrefixTest, setLineNumber`

Methods inherited from class com.icl.saxon.tree.ParentNodeImpl
`addChild, compact, copyStringValue, defaultAction, dropChildren, getAllChildNodes, getFirstChild, getLastChild, getNumberOfChildren, getSequenceNumber, getValue, removeChild, renumberChildren, useChildrenArray`

Methods inherited from class com.icl.saxon.tree.NodeImpl
`appendChild, cloneNode, getAbsoluteName, getAncestor, getAncestor, getChildNodes, getColumnNumber, getDisplayName, getDocumentElement, getDocumentRoot, getFirstChild, getIndex, getLastChild, getLocalName, getNamespaceURI, getNextInDocument, getNextSibling, getNextSibling, getNodeName, getNodeTypeName, getNumberAny, getNumberMulti, getNumberSimple, getNumberSimple, getNumberSingle, getOwnerDocument, getParentNode, getPreviousInDocument, getPreviousInDocument, getPreviousSibling, getPreviousSibling, getPublicId, getSequentialKey, hasChildNodes, hasName, insertBefore, isa, isAncestor, isDocumentElement, isSameNode, isSupported, normalize, removeChild, removeNode, replaceChild, setNodeValue, setPrefix, supports, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Text

    public Text()

  Constructor for Text

  Does nothing.

Method Detail

### prepareAttributes

    public void prepareAttributes()
                           throws org.xml.sax.SAXException

  Validate the arguments

  The element must have an href attribute.

  Overrides:
    prepareAttributes in class com.icl.saxon.style.StyleElement

### validate

    public void validate()
                  throws org.xml.sax.SAXException

  Validate that the element occurs in a reasonable place.
  Overrides:
    validate in class com.icl.saxon.style.StyleElement

### process

    public void process(com.icl.saxon.Context context)
                 throws org.xml.sax.SAXException

  Insert the text of the file into the result tree

  Processing this element inserts the contents of the URL named by the href attribute into the result tree as plain text.

  Overrides:
    process in class com.icl.saxon.style.StyleElement

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD